diff --git a/bsp/ar71xx-generic.bsp b/bsp/ar71xx-generic.bsp
new file mode 100644
index 00000000..89fca1df
--- /dev/null
+++ b/bsp/ar71xx-generic.bsp
@@ -0,0 +1,5 @@
+chipset=ar71xx
+subtarget=generic
+images=("openwrt-${chipset}-${subtarget}-cpe210-220-v1-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-cpe510-520-v1-squashfs-*"
+        )
diff --git a/bsp/ar71xx-generic/.config b/bsp/ar71xx-generic/.config
new file mode 100644
index 00000000..f505d866
--- /dev/null
+++ b/bsp/ar71xx-generic/.config
@@ -0,0 +1,34 @@
+# Generated using "./buildscript config openwrt".
+# Do no edit manually
+#
+CONFIG_TARGET_ar71xx=y
+CONFIG_TARGET_ar71xx_generic=y
+CONFIG_TARGET_MULTI_PROFILE=y
+CONFIG_TARGET_DEVICE_ar71xx_generic_DEVICE_cpe210-220-v1=y
+CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_generic_DEVICE_cpe210-220-v1="-rssileds"
+CONFIG_TARGET_DEVICE_ar71xx_generic_DEVICE_cpe510-520-v1=y
+CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_generic_DEVICE_cpe510-520-v1="-rssileds"
+CONFIG_BUSYBOX_CUSTOM=y
+CONFIG_TARGET_PER_DEVICE_ROOTFS=y
+# CONFIG_BUSYBOX_CONFIG_BRCTL is not set
+# CONFIG_BUSYBOX_CONFIG_CROND is not set
+# CONFIG_BUSYBOX_CONFIG_CRONTAB is not set
+# CONFIG_BUSYBOX_CONFIG_FEATURE_FAST_TOP is not set
+# CONFIG_BUSYBOX_CONFIG_FEATURE_NTPD_SERVER is not set
+CONFIG_CLEAN_IPKG=y
+# CONFIG_DROPBEAR_CURVE25519 is not set
+# CONFIG_FASTD_ENABLE_CIPHER_SALSA2012 is not set
+# CONFIG_FASTD_ENABLE_MAC_GHASH is not set
+# CONFIG_FASTD_ENABLE_MAC_UHASH is not set
+# CONFIG_FASTD_ENABLE_METHOD_COMPOSED_GMAC is not set
+# CONFIG_FASTD_ENABLE_METHOD_COMPOSED_UMAC is not set
+# CONFIG_FASTD_ENABLE_METHOD_GENERIC_GMAC is not set
+# CONFIG_FASTD_ENABLE_METHOD_GENERIC_UMAC is not set
+CONFIG_KERNEL_SQUASHFS_FRAGMENT_CACHE_SIZE=1
+# CONFIG_PACKAGE_ALFRED_VIS is not set
+CONFIG_PACKAGE_hostapd-mini=y
+CONFIG_PACKAGE_iwinfo=m
+CONFIG_PACKAGE_libiwinfo=m
+CONFIG_PACKAGE_opkg=m
+CONFIG_PACKAGE_wpad-mini=m
+CONFIG_STRIP_KERNEL_EXPORTS=y
diff --git a/bsp/ar71xx-tiny.bsp b/bsp/ar71xx-tiny.bsp
deleted file mode 100644
index aa2c86e3..00000000
--- a/bsp/ar71xx-tiny.bsp
+++ /dev/null
@@ -1,41 +0,0 @@
-chipset=ar71xx
-subtarget=tiny
-images=("openwrt-${chipset}-${subtarget}-archer-c25-v1-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-archer-c60-v1-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-archer-c60-v2-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-archer-c7-v2-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-archer-c7-v5-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-cpe210-220-v1-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-cpe210-v2-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-cpe210-v3-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-cpe510-520-v1-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-gl-ar150-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-tl-mr3020-v1-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-tl-wa850re-v1-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-tl-wa860re-v1-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-tl-wa901nd-v2-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-tl-wdr3500-v1-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-tl-wdr3600-v1-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-tl-wdr4300-v1-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-tl-wdr4310-v1-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-tl-wr1043nd-v1-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-tl-wr1043nd-v2-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-tl-wr1043nd-v3-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-tl-wr1043nd-v4-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-tl-wr1043n-v5-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-tl-wr740n-v4-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-tl-wr741nd-v2-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-tl-wr741nd-v4-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-tl-wr841-v7-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-tl-wr841-v8-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-tl-wr841-v9-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-tl-wr841-v10-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-tl-wr841-v11-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-tl-wr841-v12-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-tl-wr842n-v2-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-ubnt-bullet-m-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-ubnt-loco-m-xw-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-ubnt-nano-m-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-ubnt-unifi-squashfs-*"
-        "openwrt-${chipset}-${subtarget}-ubnt-unifiac-lite-squashfs-*"
-        )
diff --git a/bsp/ar71xx-tiny/.config b/bsp/ar71xx-tiny/.config
deleted file mode 100644
index 61aaa609..00000000
--- a/bsp/ar71xx-tiny/.config
+++ /dev/null
@@ -1,114 +0,0 @@
-# Generated using "./buildscript config openwrt".
-# Do no edit manually
-#
-CONFIG_TARGET_ar71xx=y
-CONFIG_TARGET_ar71xx_tiny=y
-CONFIG_TARGET_MULTI_PROFILE=y
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_archer-c25-v1=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_archer-c25-v1="-kmod-ath10k-ct kmod-ath10k -ath10k-firmware-qca9887-ct ath10k-firmware-qca9887"
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_archer-c60-v1=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_archer-c60-v1="-kmod-ath10k-ct kmod-ath10k -ath10k-firmware-qca9888-ct ath10k-firmware-qca9888"
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_archer-c60-v2=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_archer-c60-v2="-kmod-ath10k-ct kmod-ath10k -ath10k-firmware-qca9888-ct ath10k-firmware-qca9888"
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_archer-c7-v2=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_archer-c7-v2="-kmod-ath10k-ct kmod-ath10k -ath10k-firmware-qca988x-ct ath10k-firmware-qca988x"
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_archer-c7-v5=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_archer-c7-v5="-kmod-ath10k-ct kmod-ath10k -ath10k-firmware-qca988x-ct ath10k-firmware-qca988x"
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_cpe210-220-v1=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_cpe210-220-v1="-rssileds"
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_cpe210-v2=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_cpe210-v2="-rssileds"
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_cpe210-v3=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_cpe210-v3="-rssileds"
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_cpe510-520-v1=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_cpe510-520-v1="-rssileds"
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_gl-ar150=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_gl-ar150=""
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_tl-mr3020-v1=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_tl-mr3020-v1="-uboot-envtools -kmod-usb-core -kmod-usb2 -kmod-usb-ledtrig-usbport"
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_tl-wa850re-v1=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_tl-wa850re-v1="-uboot-envtools -rssileds"
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_tl-wa860re-v1=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_tl-wa860re-v1="-uboot-envtools"
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_tl-wa901nd-v2=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_tl-wa901nd-v2="-uboot-envtools"
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_tl-wdr3500-v1=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_tl-wdr3500-v1=""
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_tl-wdr3600-v1=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_tl-wdr3600-v1=""
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_tl-wdr4300-v1=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_tl-wdr4300-v1=""
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_tl-wdr4310-v1=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_tl-wdr4310-v1=""
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_tl-wr1043nd-v1=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_tl-wr1043nd-v1=""
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_tl-wr1043nd-v2=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_tl-wr1043nd-v2=""
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_tl-wr1043nd-v3=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_tl-wr1043nd-v3=""
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_tl-wr1043nd-v4=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_tl-wr1043nd-v4=""
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_tl-wr1043n-v5=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_tl-wr1043n-v5=""
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_tl-wr740n-v4=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_tl-wr740n-v4="-uboot-envtools"
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_tl-wr741nd-v2=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_tl-wr741nd-v2="-uboot-envtools"
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_tl-wr741nd-v4=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_tl-wr741nd-v4="-uboot-envtools"
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_tl-wr841-v7=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_tl-wr841-v7="-uboot-envtools"
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_tl-wr841-v8=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_tl-wr841-v8="-uboot-envtools"
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_tl-wr841-v9=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_tl-wr841-v9="-uboot-envtools"
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_tl-wr841-v10=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_tl-wr841-v10="-uboot-envtools"
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_tl-wr841-v11=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_tl-wr841-v11="-uboot-envtools"
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_tl-wr841-v12=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_tl-wr841-v12="-uboot-envtools"
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_tl-wr842n-v2=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_tl-wr842n-v2=""
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_ubnt-bullet-m=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_ubnt-bullet-m="-rssileds"
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_ubnt-loco-m-xw=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_ubnt-loco-m-xw="-rssileds"
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_ubnt-nano-m=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_ubnt-nano-m="-rssileds"
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_ubnt-unifi=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_ubnt-unifi=""
-CONFIG_TARGET_DEVICE_ar71xx_tiny_DEVICE_ubnt-unifiac-lite=y
-CONFIG_TARGET_DEVICE_PACKAGES_ar71xx_tiny_DEVICE_ubnt-unifiac-lite="-kmod-ath10k-ct kmod-ath10k -ath10k-firmware-qca988x-ct ath10k-firmware-qca988x"
-CONFIG_BUSYBOX_CUSTOM=y
-CONFIG_TARGET_PER_DEVICE_ROOTFS=y
-# CONFIG_BUSYBOX_CONFIG_BRCTL is not set
-# CONFIG_BUSYBOX_CONFIG_CROND is not set
-# CONFIG_BUSYBOX_CONFIG_CRONTAB is not set
-# CONFIG_BUSYBOX_CONFIG_FEATURE_FAST_TOP is not set
-# CONFIG_BUSYBOX_CONFIG_FEATURE_NTPD_SERVER is not set
-CONFIG_CLEAN_IPKG=y
-# CONFIG_DROPBEAR_CURVE25519 is not set
-# CONFIG_FASTD_ENABLE_CIPHER_SALSA2012 is not set
-# CONFIG_FASTD_ENABLE_MAC_GHASH is not set
-# CONFIG_FASTD_ENABLE_MAC_UHASH is not set
-# CONFIG_FASTD_ENABLE_METHOD_COMPOSED_GMAC is not set
-# CONFIG_FASTD_ENABLE_METHOD_COMPOSED_UMAC is not set
-# CONFIG_FASTD_ENABLE_METHOD_GENERIC_GMAC is not set
-# CONFIG_FASTD_ENABLE_METHOD_GENERIC_UMAC is not set
-CONFIG_KERNEL_SQUASHFS_FRAGMENT_CACHE_SIZE=1
-# CONFIG_PACKAGE_ALFRED_VIS is not set
-CONFIG_PACKAGE_hostapd-mini=y
-CONFIG_PACKAGE_iwinfo=m
-CONFIG_PACKAGE_libiwinfo=m
-CONFIG_PACKAGE_opkg=m
-CONFIG_PACKAGE_wpad-mini=m
-CONFIG_PACKAGE_ath10k-firmware-qca9887=m
-CONFIG_PACKAGE_ath10k-firmware-qca9888=m
-CONFIG_PACKAGE_ath10k-firmware-qca988x=m
-CONFIG_PACKAGE_kmod-ath10k=m
-CONFIG_PACKAGE_ath10k-firmware-qca9887-ct=m
-CONFIG_PACKAGE_ath10k-firmware-qca9888-ct=m
-CONFIG_PACKAGE_ath10k-firmware-qca988x-ct=m
-CONFIG_PACKAGE_kmod-ath10k-ct=m
-CONFIG_STRIP_KERNEL_EXPORTS=y
diff --git a/bsp/ath79-generic.bsp b/bsp/ath79-generic.bsp
new file mode 100644
index 00000000..752bfddc
--- /dev/null
+++ b/bsp/ath79-generic.bsp
@@ -0,0 +1,28 @@
+chipset=ath79
+subtarget=generic
+images=("openwrt-${chipset}-${subtarget}-glinet_gl-ar150-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_archer-c25-v1-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_archer-c60-v1-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_archer-c60-v2-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_archer-c7-v2-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_archer-c7-v5-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_cpe210-v2-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_cpe210-v3-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_tl-wdr3500-v1-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_tl-wdr3600-v1-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_tl-wdr4300-v1-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_tl-wdr4310-v1-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_tl-wr1043nd-v1-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_tl-wr1043nd-v2-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_tl-wr1043nd-v3-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_tl-wr1043nd-v4-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_tl-wr1043n-v5-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_tl-wr842n-v2-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-ubnt_bullet-m-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-ubnt_nanostation-loco-m-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-ubnt_nanostation-loco-m-xw-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-ubnt_nanostation-m-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-ubnt_picostation-m-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-ubnt_unifi-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-ubnt_unifiac-mesh-squashfs-*"
+        )
diff --git a/bsp/ath79-generic/.config b/bsp/ath79-generic/.config
new file mode 100644
index 00000000..1f25ae2f
--- /dev/null
+++ b/bsp/ath79-generic/.config
@@ -0,0 +1,89 @@
+# Generated using "./buildscript config openwrt".
+# Do no edit manually
+#
+CONFIG_TARGET_ath79=y
+CONFIG_TARGET_ath79_generic=y
+CONFIG_TARGET_MULTI_PROFILE=y
+CONFIG_TARGET_DEVICE_ath79_generic_DEVICE_glinet_gl-ar150=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_generic_DEVICE_glinet_gl-ar150=""
+CONFIG_TARGET_DEVICE_ath79_generic_DEVICE_tplink_archer-c25-v1=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_generic_DEVICE_tplink_archer-c25-v1="-kmod-ath10k-ct-smallbuffers kmod-ath10k -ath10k-firmware-qca9887-ct ath10k-firmware-qca9887"
+CONFIG_TARGET_DEVICE_ath79_generic_DEVICE_tplink_archer-c60-v1=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_generic_DEVICE_tplink_archer-c60-v1="-kmod-ath10k-ct-smallbuffers kmod-ath10k -ath10k-firmware-qca9888-ct ath10k-firmware-qca9888"
+CONFIG_TARGET_DEVICE_ath79_generic_DEVICE_tplink_archer-c60-v2=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_generic_DEVICE_tplink_archer-c60-v2="-kmod-ath10k-ct-smallbuffers kmod-ath10k -ath10k-firmware-qca9888-ct ath10k-firmware-qca9888"
+CONFIG_TARGET_DEVICE_ath79_generic_DEVICE_tplink_archer-c7-v2=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_generic_DEVICE_tplink_archer-c7-v2="-kmod-ath10k-ct kmod-ath10k -ath10k-firmware-qca988x-ct ath10k-firmware-qca988x"
+CONFIG_TARGET_DEVICE_ath79_generic_DEVICE_tplink_archer-c7-v5=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_generic_DEVICE_tplink_archer-c7-v5="-kmod-ath10k-ct kmod-ath10k -ath10k-firmware-qca988x-ct ath10k-firmware-qca988x"
+CONFIG_TARGET_DEVICE_ath79_generic_DEVICE_tplink_cpe210-v2=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_generic_DEVICE_tplink_cpe210-v2="-rssileds"
+CONFIG_TARGET_DEVICE_ath79_generic_DEVICE_tplink_cpe210-v3=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_generic_DEVICE_tplink_cpe210-v3="-rssileds"
+CONFIG_TARGET_DEVICE_ath79_generic_DEVICE_tplink_tl-wdr3500-v1=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_generic_DEVICE_tplink_tl-wdr3500-v1=""
+CONFIG_TARGET_DEVICE_ath79_generic_DEVICE_tplink_tl-wdr3600-v1=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_generic_DEVICE_tplink_tl-wdr3600-v1=""
+CONFIG_TARGET_DEVICE_ath79_generic_DEVICE_tplink_tl-wdr4300-v1=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_generic_DEVICE_tplink_tl-wdr4300-v1=""
+CONFIG_TARGET_DEVICE_ath79_generic_DEVICE_tplink_tl-wdr4310-v1=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_generic_DEVICE_tplink_tl-wdr4310-v1=""
+CONFIG_TARGET_DEVICE_ath79_generic_DEVICE_tplink_tl-wr1043nd-v1=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_generic_DEVICE_tplink_tl-wr1043nd-v1=""
+CONFIG_TARGET_DEVICE_ath79_generic_DEVICE_tplink_tl-wr1043nd-v2=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_generic_DEVICE_tplink_tl-wr1043nd-v2=""
+CONFIG_TARGET_DEVICE_ath79_generic_DEVICE_tplink_tl-wr1043nd-v3=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_generic_DEVICE_tplink_tl-wr1043nd-v3=""
+CONFIG_TARGET_DEVICE_ath79_generic_DEVICE_tplink_tl-wr1043nd-v4=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_generic_DEVICE_tplink_tl-wr1043nd-v4=""
+CONFIG_TARGET_DEVICE_ath79_generic_DEVICE_tplink_tl-wr1043n-v5=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_generic_DEVICE_tplink_tl-wr1043n-v5=""
+CONFIG_TARGET_DEVICE_ath79_generic_DEVICE_tplink_tl-wr842n-v2=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_generic_DEVICE_tplink_tl-wr842n-v2=""
+CONFIG_TARGET_DEVICE_ath79_generic_DEVICE_ubnt_bullet-m=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_generic_DEVICE_ubnt_bullet-m="-rssileds"
+CONFIG_TARGET_DEVICE_ath79_generic_DEVICE_ubnt_nanostation-loco-m=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_generic_DEVICE_ubnt_nanostation-loco-m="-rssileds"
+CONFIG_TARGET_DEVICE_ath79_generic_DEVICE_ubnt_nanostation-loco-m-xw=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_generic_DEVICE_ubnt_nanostation-loco-m-xw="-rssileds"
+CONFIG_TARGET_DEVICE_ath79_generic_DEVICE_ubnt_nanostation-m=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_generic_DEVICE_ubnt_nanostation-m="-rssileds"
+CONFIG_TARGET_DEVICE_ath79_generic_DEVICE_ubnt_picostation-m=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_generic_DEVICE_ubnt_picostation-m="-rssileds"
+CONFIG_TARGET_DEVICE_ath79_generic_DEVICE_ubnt_unifi=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_generic_DEVICE_ubnt_unifi=""
+CONFIG_TARGET_DEVICE_ath79_generic_DEVICE_ubnt_unifiac-mesh=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_generic_DEVICE_ubnt_unifiac-mesh="-kmod-ath10k-ct kmod-ath10k -ath10k-firmware-qca988x-ct ath10k-firmware-qca988x"
+CONFIG_BUSYBOX_CUSTOM=y
+CONFIG_TARGET_PER_DEVICE_ROOTFS=y
+# CONFIG_BUSYBOX_CONFIG_BRCTL is not set
+# CONFIG_BUSYBOX_CONFIG_CROND is not set
+# CONFIG_BUSYBOX_CONFIG_CRONTAB is not set
+# CONFIG_BUSYBOX_CONFIG_FEATURE_FAST_TOP is not set
+# CONFIG_BUSYBOX_CONFIG_FEATURE_NTPD_SERVER is not set
+CONFIG_CLEAN_IPKG=y
+# CONFIG_DROPBEAR_CURVE25519 is not set
+# CONFIG_FASTD_ENABLE_CIPHER_SALSA2012 is not set
+# CONFIG_FASTD_ENABLE_MAC_GHASH is not set
+# CONFIG_FASTD_ENABLE_MAC_UHASH is not set
+# CONFIG_FASTD_ENABLE_METHOD_COMPOSED_GMAC is not set
+# CONFIG_FASTD_ENABLE_METHOD_COMPOSED_UMAC is not set
+# CONFIG_FASTD_ENABLE_METHOD_GENERIC_GMAC is not set
+# CONFIG_FASTD_ENABLE_METHOD_GENERIC_UMAC is not set
+CONFIG_KERNEL_SQUASHFS_FRAGMENT_CACHE_SIZE=1
+# CONFIG_PACKAGE_ALFRED_VIS is not set
+CONFIG_PACKAGE_hostapd-mini=y
+CONFIG_PACKAGE_iwinfo=m
+CONFIG_PACKAGE_libiwinfo=m
+CONFIG_PACKAGE_opkg=m
+CONFIG_PACKAGE_wpad-mini=m
+CONFIG_PACKAGE_ath10k-firmware-qca9887=m
+CONFIG_PACKAGE_ath10k-firmware-qca9888=m
+CONFIG_PACKAGE_ath10k-firmware-qca988x=m
+CONFIG_PACKAGE_kmod-ath10k=m
+CONFIG_PACKAGE_ath10k-firmware-qca9887-ct=m
+CONFIG_PACKAGE_ath10k-firmware-qca9888-ct=m
+CONFIG_PACKAGE_ath10k-firmware-qca988x-ct=m
+CONFIG_PACKAGE_kmod-ath10k-ct-smallbuffers=m
+CONFIG_PACKAGE_kmod-ath10k-ct=m
+CONFIG_STRIP_KERNEL_EXPORTS=y
diff --git a/bsp/ath79-tiny.bsp b/bsp/ath79-tiny.bsp
new file mode 100644
index 00000000..b5d864c8
--- /dev/null
+++ b/bsp/ath79-tiny.bsp
@@ -0,0 +1,16 @@
+chipset=ath79
+subtarget=tiny
+images=("openwrt-${chipset}-${subtarget}-tplink_tl-mr3020-v1-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_tl-wa850re-v1-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_tl-wa860re-v1-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_tl-wa901nd-v2-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_tl-wr740n-v4-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_tl-wr741-v1-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_tl-wr741nd-v4-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_tl-wr841-v7-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_tl-wr841-v8-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_tl-wr841-v9-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_tl-wr841-v10-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_tl-wr841-v11-squashfs-*"
+        "openwrt-${chipset}-${subtarget}-tplink_tl-wr841-v12-squashfs-*"
+        )
diff --git a/bsp/ath79-tiny/.config b/bsp/ath79-tiny/.config
new file mode 100644
index 00000000..8a394e14
--- /dev/null
+++ b/bsp/ath79-tiny/.config
@@ -0,0 +1,56 @@
+# Generated using "./buildscript config openwrt".
+# Do no edit manually
+#
+CONFIG_TARGET_ath79=y
+CONFIG_TARGET_ath79_tiny=y
+CONFIG_TARGET_MULTI_PROFILE=y
+CONFIG_TARGET_DEVICE_ath79_tiny_DEVICE_tplink_tl-mr3020-v1=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_tiny_DEVICE_tplink_tl-mr3020-v1="-uboot-envtools -kmod-usb-core -kmod-usb-chipidea2 -kmod-usb-ledtrig-usbport"
+CONFIG_TARGET_DEVICE_ath79_tiny_DEVICE_tplink_tl-wa850re-v1=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_tiny_DEVICE_tplink_tl-wa850re-v1="-uboot-envtools -rssileds"
+CONFIG_TARGET_DEVICE_ath79_tiny_DEVICE_tplink_tl-wa860re-v1=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_tiny_DEVICE_tplink_tl-wa860re-v1="-uboot-envtools"
+CONFIG_TARGET_DEVICE_ath79_tiny_DEVICE_tplink_tl-wa901nd-v2=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_tiny_DEVICE_tplink_tl-wa901nd-v2="-uboot-envtools"
+CONFIG_TARGET_DEVICE_ath79_tiny_DEVICE_tplink_tl-wr740n-v4=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_tiny_DEVICE_tplink_tl-wr740n-v4="-uboot-envtools"
+CONFIG_TARGET_DEVICE_ath79_tiny_DEVICE_tplink_tl-wr741-v1=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_tiny_DEVICE_tplink_tl-wr741-v1="-uboot-envtools"
+CONFIG_TARGET_DEVICE_ath79_tiny_DEVICE_tplink_tl-wr741nd-v4=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_tiny_DEVICE_tplink_tl-wr741nd-v4="-uboot-envtools"
+CONFIG_TARGET_DEVICE_ath79_tiny_DEVICE_tplink_tl-wr841-v7=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_tiny_DEVICE_tplink_tl-wr841-v7="-uboot-envtools"
+CONFIG_TARGET_DEVICE_ath79_tiny_DEVICE_tplink_tl-wr841-v8=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_tiny_DEVICE_tplink_tl-wr841-v8="-uboot-envtools"
+CONFIG_TARGET_DEVICE_ath79_tiny_DEVICE_tplink_tl-wr841-v9=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_tiny_DEVICE_tplink_tl-wr841-v9="-uboot-envtools"
+CONFIG_TARGET_DEVICE_ath79_tiny_DEVICE_tplink_tl-wr841-v10=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_tiny_DEVICE_tplink_tl-wr841-v10="-uboot-envtools"
+CONFIG_TARGET_DEVICE_ath79_tiny_DEVICE_tplink_tl-wr841-v11=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_tiny_DEVICE_tplink_tl-wr841-v11="-uboot-envtools"
+CONFIG_TARGET_DEVICE_ath79_tiny_DEVICE_tplink_tl-wr841-v12=y
+CONFIG_TARGET_DEVICE_PACKAGES_ath79_tiny_DEVICE_tplink_tl-wr841-v12="-uboot-envtools"
+CONFIG_BUSYBOX_CUSTOM=y
+CONFIG_TARGET_PER_DEVICE_ROOTFS=y
+# CONFIG_BUSYBOX_CONFIG_BRCTL is not set
+# CONFIG_BUSYBOX_CONFIG_CROND is not set
+# CONFIG_BUSYBOX_CONFIG_CRONTAB is not set
+# CONFIG_BUSYBOX_CONFIG_FEATURE_FAST_TOP is not set
+# CONFIG_BUSYBOX_CONFIG_FEATURE_NTPD_SERVER is not set
+CONFIG_CLEAN_IPKG=y
+# CONFIG_DROPBEAR_CURVE25519 is not set
+# CONFIG_FASTD_ENABLE_CIPHER_SALSA2012 is not set
+# CONFIG_FASTD_ENABLE_MAC_GHASH is not set
+# CONFIG_FASTD_ENABLE_MAC_UHASH is not set
+# CONFIG_FASTD_ENABLE_METHOD_COMPOSED_GMAC is not set
+# CONFIG_FASTD_ENABLE_METHOD_COMPOSED_UMAC is not set
+# CONFIG_FASTD_ENABLE_METHOD_GENERIC_GMAC is not set
+# CONFIG_FASTD_ENABLE_METHOD_GENERIC_UMAC is not set
+CONFIG_KERNEL_SQUASHFS_FRAGMENT_CACHE_SIZE=1
+# CONFIG_PACKAGE_ALFRED_VIS is not set
+CONFIG_PACKAGE_hostapd-mini=y
+CONFIG_PACKAGE_iwinfo=m
+CONFIG_PACKAGE_libiwinfo=m
+CONFIG_PACKAGE_opkg=m
+CONFIG_PACKAGE_wpad-mini=m
+CONFIG_STRIP_KERNEL_EXPORTS=y
diff --git a/build_patches/openwrt/0005-allow-building-all-devives-as-tiny.patch b/build_patches/openwrt/0005-allow-building-all-devives-as-tiny.patch
deleted file mode 100644
index 5edd4748..00000000
--- a/build_patches/openwrt/0005-allow-building-all-devives-as-tiny.patch
+++ /dev/null
@@ -1,43 +0,0 @@
-From: Tim Niemeyer <tim@tn-x.org>
-Date: Mon, 6 Aug 2018 18:39:04 +0200
-Subject: allow building all devives as tiny
-
-diff --git a/target/linux/ar71xx/image/Makefile b/target/linux/ar71xx/image/Makefile
-index 804532b55cb145134acf47accd095bbb24dee059..6328d5cc2974bca549eab213d268591eec9e3cf5 100644
---- a/target/linux/ar71xx/image/Makefile
-+++ b/target/linux/ar71xx/image/Makefile
-@@ -23,6 +23,10 @@ include ./tiny.mk
- include ./tiny-tp-link.mk
- include ./tiny-legacy-devices.mk
- include ./tiny-senao.mk
-+include ./generic.mk
-+include ./generic-legacy-devices.mk
-+include ./generic-tp-link.mk
-+include ./generic-ubnt.mk
- endif
- ifeq ($(SUBTARGET),nand)
- include ./nand.mk
-diff --git a/target/linux/ar71xx/tiny/config-default b/target/linux/ar71xx/tiny/config-default
-index 1148d8c451dee890c785ffb78ff0bb9de2454326..eccc01757e294a9a1d90c3e710ac619957528cb4 100644
---- a/target/linux/ar71xx/tiny/config-default
-+++ b/target/linux/ar71xx/tiny/config-default
-@@ -74,3 +74,19 @@ CONFIG_SOC_AR933X=y
- CONFIG_SOC_AR934X=y
- CONFIG_SOC_QCA953X=y
- CONFIG_SOC_QCA956X=y
-+# FFF
-+CONFIG_ATH79_MACH_ARCHER_C25_V1=y
-+CONFIG_ATH79_MACH_ARCHER_C60_V1=y
-+CONFIG_ATH79_MACH_ARCHER_C60_V2=y
-+CONFIG_ATH79_MACH_ARCHER_C7=y
-+CONFIG_ATH79_MACH_CPE510=y
-+CONFIG_ATH79_MACH_GL_AR150=y
-+CONFIG_ATH79_MACH_TL_WDR3500=y
-+CONFIG_ATH79_MACH_TL_WDR4300=y
-+CONFIG_ATH79_MACH_TL_WR1043ND=y
-+CONFIG_ATH79_MACH_TL_WR1043ND_V2=y
-+CONFIG_ATH79_MACH_TL_WR1043ND_V4=y
-+CONFIG_ATH79_MACH_TL_WR1043N_V5=y
-+CONFIG_ATH79_MACH_UBNT=y
-+CONFIG_ATH79_MACH_UBNT_UNIFIAC=y
-+CONFIG_ATH79_MACH_UBNT_XM=y
diff --git a/src/packages/fff/fff-boardname/Makefile b/src/packages/fff/fff-boardname/Makefile
index 01fcc0ae..8db6f811 100644
--- a/src/packages/fff/fff-boardname/Makefile
+++ b/src/packages/fff/fff-boardname/Makefile
@@ -1,7 +1,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=fff-boardname
-PKG_RELEASE:=7
+PKG_RELEASE:=8
 
 PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 
diff --git a/src/packages/fff/fff-boardname/files/etc/uci-defaults/15-fff-boardname b/src/packages/fff/fff-boardname/files/etc/uci-defaults/15-fff-boardname
index 43a816e4..817e81a2 100644
--- a/src/packages/fff/fff-boardname/files/etc/uci-defaults/15-fff-boardname
+++ b/src/packages/fff/fff-boardname/files/etc/uci-defaults/15-fff-boardname
@@ -1,74 +1,5 @@
 BOARD=$(cat /var/sysinfo/board_name)
 
-case "$BOARD" in
-    tl-wr1043nd)
-        BOARD=tl-wr1043nd-v1
-        ;;
-    tl-wr1043nd-v2)
-        grep "v3" /var/sysinfo/model && BOARD=tl-wr1043nd-v3
-        ;;
-    tl-wr741nd)
-        grep "Atheros AR7240 rev 2" /proc/cpuinfo && BOARD=tl-wr741nd-v2 || BOARD=tl-wr741nd-v4
-        ;;
-    tl-wr741nd-v4)
-        grep 740 /var/sysinfo/model && BOARD=tl-wr740n-v4
-        ;;
-    tl-wr841n-v7)
-        BOARD=tl-wr841-v7
-        ;;
-    tl-wr841n-v8)
-        BOARD=tl-wr841-v8
-        ;;
-    tl-wr841n-v9)
-        BOARD=tl-wr841-v9
-        grep "v10" /var/sysinfo/model && BOARD=tl-wr841-v10
-        ;;
-    tl-wr841n-v11)
-        BOARD=tl-wr841-v11
-        grep "v12" /var/sysinfo/model && BOARD=tl-wr841-v12
-        ;;
-    nanostation-m)
-        BOARD=ubnt-nano-m
-        ;;
-    bullet-m)
-        BOARD=ubnt-bullet-m
-        grep -i "Pico" /var/sysinfo/model && BOARD=ubnt-pico-m
-        grep -i "Loco" /var/sysinfo/model && BOARD=ubnt-loco-m
-        ;;
-    unifi)
-        BOARD=ubnt-unifi
-        ;;
-    loco-m-xw)
-        BOARD=ubnt-loco-m-xw
-        ;;
-    unifiac-lite)
-        BOARD=ubnt-unifiac-lite
-        ;;
-    tl-wa850re)
-        BOARD=tl-wa850re-v1
-        ;;
-    tl-wa860re)
-        BOARD=tl-wa860re-v1
-        ;;
-    tl-wdr3500)
-        BOARD=tl-wdr3500-v1
-        ;;
-    tl-wdr4300)
-        grep "3600" /var/sysinfo/model && BOARD=tl-wdr3600-v1
-        grep "4300" /var/sysinfo/model && BOARD=tl-wdr4300-v1
-        grep "4310" /var/sysinfo/model && BOARD=tl-wdr4310-v1
-        ;;
-    tplink,tl-wdr4900-v1)
-        BOARD=tl-wdr4900-v1
-        ;;
-    tl-mr3020)
-        BOARD=tl-mr3020-v1
-        ;;
-    archer-c7)
-        BOARD=archer-c7-v2
-        ;;
-esac
-
 uci set board.model.name=$BOARD
 uci commit board
 
diff --git a/src/packages/fff/fff-network/Makefile b/src/packages/fff/fff-network/Makefile
index be3ce8fa..85e47b94 100644
--- a/src/packages/fff/fff-network/Makefile
+++ b/src/packages/fff/fff-network/Makefile
@@ -1,7 +1,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=fff-network
-PKG_RELEASE:=20
+PKG_RELEASE:=21
 
 PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 
diff --git a/src/packages/fff/fff-network/ar71xx/network.archer-c25-v1 b/src/packages/fff/fff-network/ar71xx/network.archer-c25-v1
deleted file mode 100644
index b88b96b2..00000000
--- a/src/packages/fff/fff-network/ar71xx/network.archer-c25-v1
+++ /dev/null
@@ -1,10 +0,0 @@
-PORTORDER="4 3 2 1"
-
-WANDEV=eth0
-SWITCHDEV=eth1
-CLIENT_PORTS="1 2 0t"
-WAN_PORTS=""
-BATMAN_PORTS="3 4 0t"
-
-ETHMESHMAC=$(cat /sys/class/net/eth1/address)
-ROUTERMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr741nd-v2 b/src/packages/fff/fff-network/ar71xx/network.tl-wr741nd-v2
deleted file mode 100644
index c8ddd0f1..00000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr741nd-v2
+++ /dev/null
@@ -1,9 +0,0 @@
-WANDEV=eth1
-# WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS="1 2 0t"
-WAN_PORTS=
-BATMAN_PORTS="3 4 0t"
-
-ETHMESHMAC=$(cat /sys/class/net/eth1/address)
-ROUTERMAC=$(cat /sys/class/ieee80211/phy0/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v8 b/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v8
deleted file mode 100644
index ef6e2947..00000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v8
+++ /dev/null
@@ -1,10 +0,0 @@
-PORTORDER="2 3 4 1"
-
-WANDEV=eth0
-SWITCHDEV=eth1
-CLIENT_PORTS="1 4 0t"
-WAN_PORTS=
-BATMAN_PORTS="3 2 0t"
-
-ETHMESHMAC=$(cat /sys/class/net/eth0/address)
-ROUTERMAC=$(cat /sys/class/net/eth1/address)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr842n-v2 b/src/packages/fff/fff-network/ar71xx/network.tl-wr842n-v2
deleted file mode 100644
index 6e031316..00000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr842n-v2
+++ /dev/null
@@ -1,8 +0,0 @@
-WANDEV=eth0
-SWITCHDEV=eth1
-CLIENT_PORTS="1 4 0t"
-WAN_PORTS=
-BATMAN_PORTS="3 2 0t"
-
-ETHMESHMAC=$(cat /sys/class/net/eth0/address)
-ROUTERMAC=$(cat /sys/class/net/eth1/address)
diff --git a/src/packages/fff/fff-network/ar71xx/network.gl-ar150 b/src/packages/fff/fff-network/ath79/network.glinet,gl-ar150
similarity index 88%
rename from src/packages/fff/fff-network/ar71xx/network.gl-ar150
rename to src/packages/fff/fff-network/ath79/network.glinet,gl-ar150
index 64049dd2..49bffebe 100644
--- a/src/packages/fff/fff-network/ar71xx/network.gl-ar150
+++ b/src/packages/fff/fff-network/ath79/network.glinet,gl-ar150
@@ -2,8 +2,8 @@
 
 PORTORDER="1"
 
-WANDEV=eth0
-SWITCHDEV=eth1
+WANDEV=eth1
+SWITCHDEV=eth0
 WAN_PORTS=
 BATMAN_PORTS="0t"
 CLIENT_PORTS="0t"
diff --git a/src/packages/fff/fff-network/ath79/network.mode b/src/packages/fff/fff-network/ath79/network.mode
new file mode 100644
index 00000000..f3a27939
--- /dev/null
+++ b/src/packages/fff/fff-network/ath79/network.mode
@@ -0,0 +1,30 @@
+################
+## This file is used to configure the behavior of network interfaces
+## if the routers interfaces differ from the standard WAN+4LAN-Ports
+## +2Wireless APs.
+## If you want to change their behavior, you should edit the file
+## /etc/network.config
+## After that you have to reboot the router with following command.
+#reboot
+#
+### The canonical syntax of this file is:
+#SPECIFIER="MODE"
+### MODES
+## Generally there are 3 operating modes for network interfaces in fff.
+#BATMAN: The interface is used to mesh with other fff-nodes
+#WAN:    The interface is used to connect to supernodes via vpn and
+#         ordinary internet.
+#CLIENT: The interface is used to connect clients to the fff-net
+##
+### SPECIFIER
+## For devices only including one ethernet port the specifier is called
+## ETHMODE. The default mode for these devices is "BATMAN".
+## For example this is the case for: gl-ar150, tl-mr3020-v1, tl-wa850re-v1,
+## tl-wa860re-v1, tl-wa901nd-v2, ubnt-bullet-m, ubnt-loco-m-xw, ubnt-nano-m,
+## ubnt-unifi
+ETHMODE="CLIENT"
+## Devices featuring 2 ethernet ports are configured by SPECIFIERs ressembling
+## the labels on the PORT itself. For the cpe210 these are called LAN0 and LAN1.
+## Therefore they are configured as follows:
+LAN0MODE="WAN"
+LAN1MODE="CLIENT"
diff --git a/src/packages/fff/fff-network/ar71xx/network.archer-c60-v1 b/src/packages/fff/fff-network/ath79/network.tplink,archer-c25-v1
similarity index 79%
rename from src/packages/fff/fff-network/ar71xx/network.archer-c60-v1
rename to src/packages/fff/fff-network/ath79/network.tplink,archer-c25-v1
index d47c93ef..59149cf7 100644
--- a/src/packages/fff/fff-network/ar71xx/network.archer-c60-v1
+++ b/src/packages/fff/fff-network/ath79/network.tplink,archer-c25-v1
@@ -1,8 +1,9 @@
 PORTORDER="4 3 2 1"
 
-WANDEV=eth0
-SWITCHDEV=eth1
+WANDEV=eth1
+SWITCHDEV=eth0
 CLIENT_PORTS="1 2 0t"
+WAN_PORTS=""
 BATMAN_PORTS="3 4 0t"
 
 ETHMESHMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,archer-c60-v1 b/src/packages/fff/fff-network/ath79/network.tplink,archer-c60-v1
new file mode 100644
index 00000000..6d2578f6
--- /dev/null
+++ b/src/packages/fff/fff-network/ath79/network.tplink,archer-c60-v1
@@ -0,0 +1,9 @@
+PORTORDER="4 3 2 1"
+
+WANDEV=eth1
+SWITCHDEV=eth0
+CLIENT_PORTS="1 2 0t"
+BATMAN_PORTS="3 4 0t"
+
+ETHMESHMAC=$(cat /sys/class/net/eth1/address)
+ROUTERMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,archer-c60-v2 b/src/packages/fff/fff-network/ath79/network.tplink,archer-c60-v2
new file mode 100644
index 00000000..6d2578f6
--- /dev/null
+++ b/src/packages/fff/fff-network/ath79/network.tplink,archer-c60-v2
@@ -0,0 +1,9 @@
+PORTORDER="4 3 2 1"
+
+WANDEV=eth1
+SWITCHDEV=eth0
+CLIENT_PORTS="1 2 0t"
+BATMAN_PORTS="3 4 0t"
+
+ETHMESHMAC=$(cat /sys/class/net/eth1/address)
+ROUTERMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/ar71xx/network.archer-c7-v2 b/src/packages/fff/fff-network/ath79/network.tplink,archer-c7-v2
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.archer-c7-v2
rename to src/packages/fff/fff-network/ath79/network.tplink,archer-c7-v2
diff --git a/src/packages/fff/fff-network/ar71xx/network.archer-c7-v5 b/src/packages/fff/fff-network/ath79/network.tplink,archer-c7-v5
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.archer-c7-v5
rename to src/packages/fff/fff-network/ath79/network.tplink,archer-c7-v5
diff --git a/src/packages/fff/fff-network/ar71xx/network.cpe210-v2 b/src/packages/fff/fff-network/ath79/network.tplink,cpe210-v2
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.cpe210-v2
rename to src/packages/fff/fff-network/ath79/network.tplink,cpe210-v2
diff --git a/src/packages/fff/fff-network/ar71xx/network.cpe210-v3 b/src/packages/fff/fff-network/ath79/network.tplink,cpe210-v3
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.cpe210-v3
rename to src/packages/fff/fff-network/ath79/network.tplink,cpe210-v3
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-mr3020-v1 b/src/packages/fff/fff-network/ath79/network.tplink,tl-mr3020-v1
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-mr3020-v1
rename to src/packages/fff/fff-network/ath79/network.tplink,tl-mr3020-v1
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wa850re-v1 b/src/packages/fff/fff-network/ath79/network.tplink,tl-wa850re-v1
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wa850re-v1
rename to src/packages/fff/fff-network/ath79/network.tplink,tl-wa850re-v1
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wa860re-v1 b/src/packages/fff/fff-network/ath79/network.tplink,tl-wa860re-v1
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wa860re-v1
rename to src/packages/fff/fff-network/ath79/network.tplink,tl-wa860re-v1
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wa901nd-v2 b/src/packages/fff/fff-network/ath79/network.tplink,tl-wa901nd-v2
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wa901nd-v2
rename to src/packages/fff/fff-network/ath79/network.tplink,tl-wa901nd-v2
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wdr3500-v1 b/src/packages/fff/fff-network/ath79/network.tplink,tl-wdr3500-v1
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wdr3500-v1
rename to src/packages/fff/fff-network/ath79/network.tplink,tl-wdr3500-v1
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wdr3600-v1 b/src/packages/fff/fff-network/ath79/network.tplink,tl-wdr3600-v1
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wdr3600-v1
rename to src/packages/fff/fff-network/ath79/network.tplink,tl-wdr3600-v1
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wdr4300-v1 b/src/packages/fff/fff-network/ath79/network.tplink,tl-wdr4300-v1
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wdr4300-v1
rename to src/packages/fff/fff-network/ath79/network.tplink,tl-wdr4300-v1
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wdr4310-v1 b/src/packages/fff/fff-network/ath79/network.tplink,tl-wdr4310-v1
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wdr4310-v1
rename to src/packages/fff/fff-network/ath79/network.tplink,tl-wdr4310-v1
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v4 b/src/packages/fff/fff-network/ath79/network.tplink,tl-wr1043n-v5
similarity index 83%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v4
rename to src/packages/fff/fff-network/ath79/network.tplink,tl-wr1043n-v5
index ec6d6717..c52e74e6 100644
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v4
+++ b/src/packages/fff/fff-network/ath79/network.tplink,tl-wr1043n-v5
@@ -12,5 +12,5 @@ BATMAN_PORTS="3 4 0t"
 # Load second MAC address from flash because we haven't any interface with this
 # address where we can copy it from
 
-ETHMESHMAC=$(macaddr_add $(mtd_get_mac_binary product-info 8) 1)
+ETHMESHMAC=$(macaddr_add $(mtd_get_mac_binary info 8) 1)
 ROUTERMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v1 b/src/packages/fff/fff-network/ath79/network.tplink,tl-wr1043nd-v1
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v1
rename to src/packages/fff/fff-network/ath79/network.tplink,tl-wr1043nd-v1
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v2 b/src/packages/fff/fff-network/ath79/network.tplink,tl-wr1043nd-v2
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v2
rename to src/packages/fff/fff-network/ath79/network.tplink,tl-wr1043nd-v2
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v3 b/src/packages/fff/fff-network/ath79/network.tplink,tl-wr1043nd-v3
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v3
rename to src/packages/fff/fff-network/ath79/network.tplink,tl-wr1043nd-v3
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr1043n-v5 b/src/packages/fff/fff-network/ath79/network.tplink,tl-wr1043nd-v4
similarity index 83%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr1043n-v5
rename to src/packages/fff/fff-network/ath79/network.tplink,tl-wr1043nd-v4
index ec6d6717..c52e74e6 100644
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr1043n-v5
+++ b/src/packages/fff/fff-network/ath79/network.tplink,tl-wr1043nd-v4
@@ -12,5 +12,5 @@ BATMAN_PORTS="3 4 0t"
 # Load second MAC address from flash because we haven't any interface with this
 # address where we can copy it from
 
-ETHMESHMAC=$(macaddr_add $(mtd_get_mac_binary product-info 8) 1)
+ETHMESHMAC=$(macaddr_add $(mtd_get_mac_binary info 8) 1)
 ROUTERMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr740n-v4 b/src/packages/fff/fff-network/ath79/network.tplink,tl-wr740n-v4
similarity index 92%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr740n-v4
rename to src/packages/fff/fff-network/ath79/network.tplink,tl-wr740n-v4
index 334e498a..ed1a46d1 100644
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr740n-v4
+++ b/src/packages/fff/fff-network/ath79/network.tplink,tl-wr740n-v4
@@ -1,5 +1,4 @@
 WANDEV=eth1
-# WANDEV=eth0
 SWITCHDEV=eth0
 CLIENT_PORTS="1 4 0t"
 WAN_PORTS=
diff --git a/src/packages/fff/fff-network/ar71xx/network.archer-c60-v2 b/src/packages/fff/fff-network/ath79/network.tplink,tl-wr741-v1
similarity index 64%
rename from src/packages/fff/fff-network/ar71xx/network.archer-c60-v2
rename to src/packages/fff/fff-network/ath79/network.tplink,tl-wr741-v1
index d47c93ef..346712bb 100644
--- a/src/packages/fff/fff-network/ar71xx/network.archer-c60-v2
+++ b/src/packages/fff/fff-network/ath79/network.tplink,tl-wr741-v1
@@ -1,9 +1,8 @@
-PORTORDER="4 3 2 1"
-
 WANDEV=eth0
 SWITCHDEV=eth1
 CLIENT_PORTS="1 2 0t"
+WAN_PORTS=
 BATMAN_PORTS="3 4 0t"
 
 ETHMESHMAC=$(cat /sys/class/net/eth0/address)
-ROUTERMAC=$(cat /sys/class/net/eth1/address)
+ROUTERMAC=$(cat /sys/class/ieee80211/phy0/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr741nd-v4 b/src/packages/fff/fff-network/ath79/network.tplink,tl-wr741nd-v4
similarity index 92%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr741nd-v4
rename to src/packages/fff/fff-network/ath79/network.tplink,tl-wr741nd-v4
index 334e498a..ed1a46d1 100644
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr741nd-v4
+++ b/src/packages/fff/fff-network/ath79/network.tplink,tl-wr741nd-v4
@@ -1,5 +1,4 @@
 WANDEV=eth1
-# WANDEV=eth0
 SWITCHDEV=eth0
 CLIENT_PORTS="1 4 0t"
 WAN_PORTS=
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v10 b/src/packages/fff/fff-network/ath79/network.tplink,tl-wr841-v10
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr841-v10
rename to src/packages/fff/fff-network/ath79/network.tplink,tl-wr841-v10
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v11 b/src/packages/fff/fff-network/ath79/network.tplink,tl-wr841-v11
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr841-v11
rename to src/packages/fff/fff-network/ath79/network.tplink,tl-wr841-v11
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v12 b/src/packages/fff/fff-network/ath79/network.tplink,tl-wr841-v12
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr841-v12
rename to src/packages/fff/fff-network/ath79/network.tplink,tl-wr841-v12
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v7 b/src/packages/fff/fff-network/ath79/network.tplink,tl-wr841-v7
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr841-v7
rename to src/packages/fff/fff-network/ath79/network.tplink,tl-wr841-v7
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,tl-wr841-v8 b/src/packages/fff/fff-network/ath79/network.tplink,tl-wr841-v8
new file mode 100644
index 00000000..ace93630
--- /dev/null
+++ b/src/packages/fff/fff-network/ath79/network.tplink,tl-wr841-v8
@@ -0,0 +1,10 @@
+PORTORDER="2 3 4 1"
+
+WANDEV=eth1
+SWITCHDEV=eth0
+CLIENT_PORTS="1 4 0t"
+WAN_PORTS=
+BATMAN_PORTS="3 2 0t"
+
+ETHMESHMAC=$(cat /sys/class/net/eth1/address)
+ROUTERMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v9 b/src/packages/fff/fff-network/ath79/network.tplink,tl-wr841-v9
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.tl-wr841-v9
rename to src/packages/fff/fff-network/ath79/network.tplink,tl-wr841-v9
diff --git a/src/packages/fff/fff-network/ath79/network.tplink,tl-wr842n-v2 b/src/packages/fff/fff-network/ath79/network.tplink,tl-wr842n-v2
new file mode 100644
index 00000000..541fb3d3
--- /dev/null
+++ b/src/packages/fff/fff-network/ath79/network.tplink,tl-wr842n-v2
@@ -0,0 +1,8 @@
+WANDEV=eth1
+SWITCHDEV=eth0
+CLIENT_PORTS="1 4 0t"
+WAN_PORTS=
+BATMAN_PORTS="3 2 0t"
+
+ETHMESHMAC=$(cat /sys/class/net/eth1/address)
+ROUTERMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/ar71xx/network.ubnt-bullet-m b/src/packages/fff/fff-network/ath79/network.ubnt,bullet-m
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.ubnt-bullet-m
rename to src/packages/fff/fff-network/ath79/network.ubnt,bullet-m
diff --git a/src/packages/fff/fff-network/ar71xx/network.ubnt-loco-m b/src/packages/fff/fff-network/ath79/network.ubnt,nanostation-loco-m
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.ubnt-loco-m
rename to src/packages/fff/fff-network/ath79/network.ubnt,nanostation-loco-m
diff --git a/src/packages/fff/fff-network/ar71xx/network.ubnt-loco-m-xw b/src/packages/fff/fff-network/ath79/network.ubnt,nanostation-loco-m-xw
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.ubnt-loco-m-xw
rename to src/packages/fff/fff-network/ath79/network.ubnt,nanostation-loco-m-xw
diff --git a/src/packages/fff/fff-network/ar71xx/network.ubnt-nano-m b/src/packages/fff/fff-network/ath79/network.ubnt,nanostation-m
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.ubnt-nano-m
rename to src/packages/fff/fff-network/ath79/network.ubnt,nanostation-m
diff --git a/src/packages/fff/fff-network/ar71xx/network.ubnt-pico-m b/src/packages/fff/fff-network/ath79/network.ubnt,picostation-m
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.ubnt-pico-m
rename to src/packages/fff/fff-network/ath79/network.ubnt,picostation-m
diff --git a/src/packages/fff/fff-network/ar71xx/network.ubnt-unifi b/src/packages/fff/fff-network/ath79/network.ubnt,unifi
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.ubnt-unifi
rename to src/packages/fff/fff-network/ath79/network.ubnt,unifi
diff --git a/src/packages/fff/fff-network/ar71xx/network.ubnt-unifiac-lite b/src/packages/fff/fff-network/ath79/network.ubnt,unifiac-mesh
similarity index 100%
rename from src/packages/fff/fff-network/ar71xx/network.ubnt-unifiac-lite
rename to src/packages/fff/fff-network/ath79/network.ubnt,unifiac-mesh
diff --git a/src/packages/fff/fff-network/files/lib/functions/fff/cpuport b/src/packages/fff/fff-network/files/lib/functions/fff/cpuport
index 2f8e8929..5a9278c7 100644
--- a/src/packages/fff/fff-network/files/lib/functions/fff/cpuport
+++ b/src/packages/fff/fff-network/files/lib/functions/fff/cpuport
@@ -4,32 +4,30 @@
 BOARD="$(uci get board.model.name)"
 
 case "$BOARD" in
-	tl-wr1043nd-v1)
+	tplink,tl-wr1043nd-v1)
 		CPUPORT="5t"
 		;;
 	tplink,c50-v3|\
-	tl-wr1043nd-v2|\
-	tl-wr1043nd-v3|\
+	tplink,tl-wr1043nd-v2|\
+	tplink,tl-wr1043nd-v3|\
 	tl-wr841n-v13|\
 	ubnt-erx|\
 	ubnt-erx-sfp)
 		CPUPORT="6t"
 		;;
-	cpe210-v2|\
-	cpe210-v3|\
-	tl-mr3020-v1|\
-	tl-wa850re-v1|\
-	tl-wa860re-v1|\
-	tl-wa901nd-v2|\
-	ubnt-bullet-m|\
-	ubnt-loco-m|\
-	ubnt-loco-m-xw|\
-	ubnt-nano-m|\
-	ubnt-pico-m|\
-	ubnt-power-m-xw|\
-	ubnt-unifi|\
-	ubnt-unifiac-lite|\
-	ubnt-unifiac-mesh)
+	tplink,cpe210-v2|\
+	tplink,cpe210-v3|\
+	tplink,tl-mr3020-v1|\
+	tplink,tl-wa850re-v1|\
+	tplink,tl-wa860re-v1|\
+	tplink,tl-wa901nd-v2|\
+	ubnt,bullet-m|\
+	ubnt,nanostation-loco-m|\
+	ubnt,nanostation-loco-m-xw|\
+	ubnt,nanostation-m|\
+	ubnt,picostation-m|\
+	ubnt,unifi|\
+	ubnt,unifiac-mesh)
 		CPUPORT=""
 		;;
 	*)
diff --git a/src/packages/fff/fff-network/mpc85xx/network.tl-wdr4900-v1 b/src/packages/fff/fff-network/mpc85xx/network.tplink,tl-wdr4900-v1
similarity index 100%
rename from src/packages/fff/fff-network/mpc85xx/network.tl-wdr4900-v1
rename to src/packages/fff/fff-network/mpc85xx/network.tplink,tl-wdr4900-v1
diff --git a/src/packages/fff/fff-wireless/Makefile b/src/packages/fff/fff-wireless/Makefile
index 9b83cd4a..c17b4d5f 100644
--- a/src/packages/fff/fff-wireless/Makefile
+++ b/src/packages/fff/fff-wireless/Makefile
@@ -1,7 +1,7 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=fff-wireless
-PKG_RELEASE:=17
+PKG_RELEASE:=18
 
 PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)
 
diff --git a/src/packages/fff/fff-wireless/files/etc/uci-defaults/24b-config-wireless b/src/packages/fff/fff-wireless/files/etc/uci-defaults/24b-config-wireless
index 6198d14c..c9fbc469 100644
--- a/src/packages/fff/fff-wireless/files/etc/uci-defaults/24b-config-wireless
+++ b/src/packages/fff/fff-wireless/files/etc/uci-defaults/24b-config-wireless
@@ -5,31 +5,29 @@ BOARD="$(uci get board.model.name)"
 
 # antenna gain
 case "$BOARD" in
-	tl-wr1043nd-v1)
+	tplink,tl-wr1043nd-v1)
 		uci set wireless.radio0.antenna_gain=3
 		uci commit wireless
 		;;
-	ubnt-loco-m|\
-	ubnt-loco-m-xw)
+	ubnt,nanostation-loco-m|\
+	ubnt,nanostation-loco-m-xw)
 		uci set wireless.radio0.antenna_gain=9
 		uci commit wireless
 		;;
-	ubnt-nano-m)
+	ubnt,nanostation-m)
 		uci set wireless.radio0.antenna_gain=11
 		uci commit wireless
 		;;
-	ubnt-pico-m)
+	ubnt,picostation-m)
 		uci set wireless.radio0.antenna_gain=12
 		uci commit wireless
 		;;
-	ubnt-unifi)
+	ubnt,unifi)
 		# No support for Unifi AP Pro!
 		uci set wireless.radio0.antenna_gain=3
 		uci commit wireless
 		;;
-	ubnt-unifiac-lite)
-		# These are the values for the AC MESH.
-		# The actual AC Lite has different values
+	ubnt,unifiac-mesh)
 		uci set wireless.radio0.antenna_gain=4
 		uci set wireless.radio1.antenna_gain=3
 		uci commit wireless
